import { r as registerInstance, h, g as getElement } from './index-5197c69e.js';

const codeCss = ":host{display:block}pre{margin:0}.code{display:block;padding:var(--gap-xs) var(--gap-sm) var(--gap-sm);border:1px solid rgba(var(--violet-rgb), .2);border-radius:.6rem;background-color:#f8f9fa;color:#222;font-size:1.4rem;line-height:1.4;overflow-x:auto}.code--example{border-top-right-radius:0;border-top-left-radius:0}.code__title{margin:0 0 var(--gap-sm);color:#555;font-weight:300;font-size:1.3rem;text-transform:uppercase;font-family:monospace}";

const BSWCCode = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.language = 'HTML';
    this.hasExample = undefined;
  }
  formatHtml(content) {
    let string = content.replaceAll('<!---->', '');
    string = string.replaceAll(' class="hydrated"', '');
    let array = string.split('> <');
    array = array.map((element, index) => {
      const isFirst = index === 0;
      const isLast = index === array.length - 1;
      let html = '';
      if (!isFirst) {
        html += '<';
      }
      html += element;
      if (!isLast) {
        html += '>';
      }
      return html;
    });
    return array;
  }
  render() {
    const code = this.formatHtml(this.element.innerHTML);
    return (h("div", { class: 'code ' + (this.hasExample ? 'code--example' : '') }, h("h5", { class: "code__title" }, this.language), code.map(tag => {
      return h("pre", null, h("code", null, tag.includes('bwc-row') ? tag : '  ' + tag));
    })));
  }
  get element() { return getElement(this); }
};
BSWCCode.style = codeCss;

export { BSWCCode as bswc_code };

//# sourceMappingURL=bswc-code.entry.js.map