import { r as registerInstance, h, g as getElement } from './index-5197c69e.js';

const sectionCss = ":host{display:block}a{color:var(--link-color)}.section__title{margin:0 0 var(--gap-sm);font-size:2rem;font-weight:500}.section__info{color:#555;font-size:1.4rem}.section__info>a::after{content:\" ↗️\"}.section__example{padding:var(--gap-sm) var(--gap-sm) var(--gap);border:1px solid rgba(var(--violet-rgb), .2);border-bottom:none;border-radius:.6rem;border-bottom-left-radius:0;border-bottom-right-radius:0;background-color:rgba(var(--violet-rgb), 0.02)}.section__example-title{margin:0 0 var(--gap-sm);color:#555;font-weight:300;font-size:1.3rem;text-transform:uppercase;font-family:monospace}.section__example-content{margin:0 var(--gap-sm)}.section>*+*{margin-top:var(--gap-sm)}";

const BSWCSection = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.heading = undefined;
    this.slug = undefined;
    this.hasExample = true;
    this.language = '';
  }
  getCode(content) {
    return content;
  }
  render() {
    const code = this.getCode(this.element.innerHTML);
    return (h("section", { class: "section" }, h("h4", { class: "section__title" }, this.heading), h("div", null, this.hasExample ?
      h("div", { class: "section__example" }, h("div", { class: "section__example-title" }, "Example"), h("div", { class: "section__example-content" }, h("slot", null)))
      : '', h("bswc-code", { innerHTML: code, "has-example": this.hasExample, language: this.language })), this.slug ?
      h("p", { class: "section__info" }, "More info about ", h("a", { href: `https://getbootstrap.com/docs/5.3/layout/grid/#${this.slug}`, target: "_blank" }, this.heading), " at Bootstrap website.")
      : ''));
  }
  get element() { return getElement(this); }
};
BSWCSection.style = sectionCss;

export { BSWCSection as bswc_section };

//# sourceMappingURL=bswc-section.entry.js.map